// initialisation horloge PIC
#if defined (__18F4620)
#include <p18f4620.h>
#endif

#if defined (__18F2620)
#include <p18f2620.h>
#endif

#if defined (__18F452)
#include <p18f452.h>
#endif

#if defined (__18F252)
#include <p18f252.h>
#endif

#if defined (__18F4620)|| defined (__18F2620)
#pragma config OSC = INTIO67 //pour INTRC-OSC2 as RA6, OSC1 as RA7
#pragma config WDT = OFF     //pour watch dog timer disable
#pragma config LVP = OFF     //pour low voltage program disable
#pragma config PBADEN = OFF
#elif defined(__18F452) || defined (__18F252)
#pragma config OSC = XT
#pragma config WDT = OFF     //pour watch dog timer disable
#pragma config LVP = OFF     //pour low voltage program disable
#endif

void init_horloge_interne(void)
{
#if defined(__18F4620)|| defined (__18F2620)		// config Q interne et freq 8MHz
	OSCCONbits.IRCF2=1;
	OSCCONbits.IRCF1=1;
	OSCCONbits.IRCF0=1;		
	OSCTUNEbits.PLLEN=1;	// PLL  (x4)
	OSCCONbits.SCS1=0;		// osc interne
	OSCCONbits.SCS0=0;	
	ADCON1=0x0F;			// active tout le PORTB en numerique
#endif
}